"use strict";

const Promise = require("bluebird");

const pipe = require("@promistream/pipe");
const fromIterable = require("@promistream/from-iterable");
const rangeNumbers = require("@promistream/range-numbers");
const combineSequentialStreaming = require("./");
const collect = require("@promistream/collect");

return Promise.try(() => {
	return pipe([
		fromIterable([
			rangeNumbers(0, 3),
			rangeNumbers(3, 5),
			rangeNumbers(5, 10),
		]),
		combineSequentialStreaming(),
		collect()
	]).read();
}).then((result) => {
	console.log(result); // [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ]
});
